Skip to main content
GET
/
context
/
{contextId}
Load property/location context
curl --request GET \
  --url https://app.getaptly.com/api/portal/context/{contextId}
{
  "_id": "loc_xyz789",
  "name": "The Residences at Oak Creek - Unit 204",
  "companyId": "org_abc123",
  "address": {
    "formattedAddress": "123 Main St, Austin TX 78701",
    "state": "TX",
    "countryName": "United States"
  },
  "bedCount": 2,
  "bathCount": 1,
  "squareFeet": 950,
  "marketRent": "$1,500",
  "marketRentValue": 150000,
  "videoUrl": "<string>",
  "virtualTourUrl": "<string>",
  "applicationConfig": {
    "availableDate": "2026-04-01",
    "marketRent": "$1,500",
    "marketRentValue": 150000,
    "incomeToRent": 3,
    "marketingTitle": "<string>",
    "marketingBlurb": "<string>",
    "applicationRequirements": "<string>",
    "petRestrictions": "<string>",
    "leaseTerms": "<string>",
    "coverPhoto": [
      "<string>"
    ],
    "marketingImages": [
      "<string>"
    ],
    "agent": {
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "photo": "<string>"
    }
  },
  "companyInfo": {
    "requireBankConnect": true,
    "disableApplicantGuarantors": true,
    "disableBankScreening": true,
    "requireEmergencyContact": true,
    "applicationLock": "onClose",
    "enableSection8": true,
    "enableRegionalScreeningFilters": true,
    "collectPayment": true,
    "taxDocumentCount": 123,
    "bankStatementCount": 123,
    "payStubCount": 123,
    "toggleChatWindow": true
  }
}

Path Parameters

contextId
string
required

Query Parameters

audience
enum<string>
Available options:
applicant,
approver,
showing
bp
boolean

Show property regardless of publish status

Response

200 - application/json

Location/context object

_id
string
Example:

"loc_xyz789"

name
string
Example:

"The Residences at Oak Creek - Unit 204"

companyId
string
Example:

"org_abc123"

address
object
bedCount
integer
Example:

2

bathCount
integer
Example:

1

squareFeet
integer
Example:

950

marketRent
string
Example:

"$1,500"

marketRentValue
integer
Example:

150000

videoUrl
string<uri>
virtualTourUrl
string<uri>
applicationConfig
object
companyInfo
object